Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paramètres de chemin d’accès
name
string
obligatoire
Name of the model.
version
string
obligatoire
Version of the model.
Corps de la demande
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
obligatoire
The type of pending upload. Only TemporaryBlobReference is supported for models.
Réponses
The request has succeeded.
Corps
blobReference
BlobReference
obligatoire
Blob reference details.
blobUri
string
obligatoire
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
obligatoire
ARM ID of the storage account to use.
credential
SasCredential
obligatoire
SAS Credential definition
sasUri
string
obligatoire
SAS uri
type
enum
obligatoire
Type of credential
pendingUploadId
string
obligatoire
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
obligatoire
The type of pending upload. Only TemporaryBlobReference is supported for models.
Requête
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json